%define major 5
%define minor 45
%define fix 4

Name: expect
Version: %{major}.%{minor}.%{fix}
Release: 0
License: Public Domain
Summary: Tool for automating interactive applications
Url: https://core.tcl-lang.org/expect/index

BuildRequires: tcl-devel
BuildRequires: autoconf

Source0: https://sourceforge.net/projects/expect/files/Expect/%{major}.%{minor}.%{fix}/expect%{major}.%{minor}.%{fix}.tar.gz

Patch0: expect-fix-build.patch

%description
Expect is a tool for automating interactive applications such as telnet, ftp,
passwd, fsck, rlogin, tip, etc. Expect really makes this stuff trivial. Expect
is also useful for testing these same applications. And by adding Tk, you can
also wrap interactive applications in X11 GUIs.

Expect can make easy all sorts of tasks that are prohibitively difficult with
anything else. You will find that Expect is an absolutely invaluable tool
using it, you will be able to automate tasks that you've never even thought of
before - and you'll be able to do this automation quickly and easily.

%package -n libexpect
Summary: libexpect library

%description -n libexpect
Library for using Expect.


%prep
%setup -n %{name}%{major}.%{minor}.%{fix}

%patch0 -p1


%build

autoreconf -fi

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  TEA_PLATFORM="unix" \
  --with-tcl=%{_libdir} \
  --with-tclinclude=%{_includedir}

%make_build


%install

%make_install

mv %{buildroot}/%{_libdir}/expect%{version}/libexpect%{version}.so %{buildroot}/%{_libdir}
ln -s %{_libdir}/libexpect%{version}.so %{buildroot}/%{_libdir}/expect%{version}/libexpect%{version}.so


%files
%defattr(-, qsys, *none)
%{_bindir}/autoexpect
%{_bindir}/dislocate
%{_bindir}/expect
%{_bindir}/rftp
%{_bindir}/timed-read
%{_bindir}/timed-run
%{_bindir}/unbuffer

%exclude %{_bindir}/autopasswd
%exclude %{_bindir}/cryptdir
%exclude %{_bindir}/decryptdir
%exclude %{_bindir}/kibitz
%exclude %{_bindir}/ftp-rfc
%exclude %{_bindir}/lpunlock
%exclude %{_bindir}/mkpasswd
%exclude %{_bindir}/multixterm
%exclude %{_bindir}/passmass
%exclude %{_bindir}/rlogin-cwd
%exclude %{_bindir}/tknewsbiff
%exclude %{_bindir}/tkpasswd
%exclude %{_bindir}/weather
%exclude %{_bindir}/xkibitz
%exclude %{_bindir}/xpstat

%{_includedir}/expect.h
%{_includedir}/expect_comm.h
%{_includedir}/expect_tcl.h
%{_includedir}/tcldbg.h

%{_mandir}/man1/autoexpect.1
%{_mandir}/man1/dislocate.1
%{_mandir}/man1/expect.1
%{_mandir}/man1/multixterm.1
%{_mandir}/man1/unbuffer.1

%exclude %{_mandir}/man1/cryptdir.1
%exclude %{_mandir}/man1/decryptdir.1
%exclude %{_mandir}/man1/kibitz.1
%exclude %{_mandir}/man1/mkpasswd.1
%exclude %{_mandir}/man1/passmass.1
%exclude %{_mandir}/man1/tknewsbiff.1
%exclude %{_mandir}/man1/xkibitz.1


%files -n libexpect
%defattr(-, qsys, *none)

%{_libdir}/libexpect%{version}.so
%{_libdir}/expect%{version}/libexpect%{version}.so
%{_libdir}/expect%{version}/pkgIndex.tcl

%{_mandir}/man3/libexpect.3


%changelog
* Fri Dec 06 2019 Mark Irish <mirish@ibm.com> - 5.45.4
- Initial spec file
